/**
 * Create 部件模型
 *
 * @export
 * @class CreateModel
 */
export default class CreateModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof CreateModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'userroleid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'userrolename',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'systemname',
        prop: 'systemname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'userroletype',
        prop: 'userroletype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'userrolename',
        prop: 'userrolename',
        dataType: 'TEXT',
      },
      {
        name: 'datasourcetype',
        prop: 'datasourcetype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'systemid',
        prop: 'systemid',
        dataType: 'PICKUP',
      },
      {
        name: 'userroleid',
        prop: 'userroleid',
        dataType: 'GUID',
      },
      {
        name: 'userrole',
        prop: 'userroleid',
        dataType: 'FONTKEY',
      },
    ]
  }

}